% Removes black irregularities

temp = (BW_denoised==0);
CC = bwconncomp(temp);
numPixels = cellfun(@numel,CC.PixelIdxList);
[B, IX] = sort(numPixels, 'descend');
BW_CC = 0*temp;

for i = 1:5
    BW_CC(CC.PixelIdxList{IX(i)}) = 1;
end

% Removes white irregularities

temp2 = BW_CC == 0;
CC = bwconncomp(temp2,4);
numPixels = cellfun(@numel,CC.PixelIdxList);
[B, IX] = sort(numPixels, 'descend');
BW_CC2= 0*temp2;

for i = 1:3
    BW_CC2(CC.PixelIdxList{IX(i)}) = 1;
end

BW_CCA = BW_CC2;