% This is a segmentation demo. It is designed to show
% how the real images in Honeycutt et al (201?) were created
% 
% First be sure that you have saved all the segmentation 
% scripts and MAT file containing the image to the same folder.

load('crinoid_branch.mat');

figure; imshow(crinoid_branch); title('Original Image in RGB Color')  % Load the image of the crinoid root branch

I = rgb2gray(crinoid_branch);   % Convert RGB to grayscale

wave_denoise;   % Denoise using wavelets

figure; imshow(I); title('Original Image in Grayscale')
figure; imshow(uint8(X)); title('Denoised Image in Grayscale')
